using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace WindowsApplication7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            #region Get the DataSource
            DataTable dt = new DataTable("MyTable");

            int nCols = 7;
            int nRows = 1000;
            Random r = new Random(123345345);

            for (int i = 0; i < nCols; i++)
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                    dr[j] = "A"+ r.Next(10).ToString();
                dt.Rows.Add(dr);
            }
            #endregion

            this.gridGroupingControl1.DataSource = dt;
        }
       
        private void button1_Click(object sender, EventArgs e)
        {
            gridGroupingControl1.TableDescriptor.RecordFilters.Add("([Col1] LIKE 'A1' OR [Col2] LIKE 'A2') AND [Col3] Like 'A3'");
        }
    }
}